Page MenuHomePhabricator

Abstract the "living document" aspect of the API roadmap RfC
Closed, ResolvedPublic

Description

T482: RfC: API roadmap was accepted with an action for Brad Jorsch:

Oct 02 08:07:23 <TimStarling> #action anomie to abstract the "living document" aspect of the RFC out to a project page

Selective extract of the meeting log:

Oct 02 07:54:05 <TimStarling> should we mark this RFC as approved?
Oct 02 07:55:11 * Krenair thinks we should
Oct 02 07:55:15 <TimStarling> I think the reason RFCs don't get approved is that we worry that by marking an RFC approved, we are approving every little aspect
Oct 02 07:55:59 <anomie> It's fine with me to mark it as approved; I've been treating it that way for a while now.
Oct 02 07:56:22 <anomie> The only drawback might be that it might discourage further discussion and further things for my "TODO" list.
Oct 02 07:57:15 <TimStarling> yeah, maybe it makes sense for something this complex to be a living document
Oct 02 07:57:44 <anomie> We could move the living document portion of it out of the RFC, although I'm not sure what would be left in the RFC then.
Oct 02 07:57:45 <DanielK_WMDE> ...or factor out some parts that can be considered agreed on and treated as a "plan".
Oct 02 08:01:45 <TimStarling> maybe the RFC should be called "API roadmap 1"
Oct 02 08:01:54 <TimStarling> which can be marked approved
Oct 02 08:02:20 <TimStarling> then while that is being implemented, an "API roadmap 2" RFC can be the parking lot for design of the next batch of features
Oct 02 08:03:09 <TimStarling> then we can schedule a meeting to discuss "API roadmap 2" and we will know that that means we are looking forward not back
Oct 02 08:03:22 <AaronS> heh
Oct 02 08:03:41 <TimStarling> you know it is nice when people don't have to read so much
Oct 02 08:04:14 <TimStarling> Daniel complained about the RFC being big already, but it has a lot of complete stuff mixed with plans for the near future, plus a few plans for the somewhat more distant future
Oct 02 08:05:18 <anomie> So, to summarize: RFC is approved, the "living document" aspect should be abstracted out into a project page of some sort (I'll do that), and when we have enough of a backlog of non-trivial changes we'll make a new RFC (I'll probably do that too when the time comes).
Oct 02 08:05:52 <TimStarling> yeah, makes sense I think

Event Timeline

Qgil created this task.Oct 2 2014, 2:19 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Architecture.
Qgil changed Security from none to None.
Qgil mentioned this in T482: RfC: API roadmap.
Qgil moved this task from Inbox to External on the Architecture board.
Qgil added a subscriber: Qgil.
Qgil closed this task as Resolved.Oct 2 2014, 3:12 PM
Qgil claimed this task.

Brad has completed the action:

Resolving on his behalf while we open the doors of Phabricator for everybody.

Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:46 PM
daniel moved this task from Inbox to Declined on the TechCom-RFC board.Feb 27 2015, 3:25 PM
daniel moved this task from Declined to Implemented on the TechCom-RFC board.Feb 27 2015, 3:28 PM